package com.muyu.common.security.annotation;

import org.springframework.cloud.openfeign.EnableFeignClients;

import java.lang.annotation.*;

/**
 * 自定义feign注解
 * 添加basePackages路径
 *
 * @author muyu
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@EnableFeignClients
public @interface EnableMyFeignClients {
    String[] value () default {};

    String[] basePackages () default {"com.muyu"};

    Class<?>[] basePackageClasses () default {};

    Class<?>[] defaultConfiguration () default {};

    Class<?>[] clients () default {};
}
