package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：张腾
 * @Package：com.muyu.common.system.domain
 * @Project：cloud-server-8
 * @name：SysFirm
 * @Date：2024/9/18 19:04
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_firm",autoResultMap = true)
public class SysFirm extends BaseEntity {

    /**
     *自增主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    /**
     *统一社会信用代码
     */
    @NotBlank(message = "统一社会信用代码不能为空")
    private String firmCreditCode;

    /**
     *企业营业执照
     */
    @NotBlank(message = "请上传对应的营业执照")
    private String firmImages;

    /**
     *企业名称
     */
    @NotBlank(message = "企业名称不能为空")
    private String firmName;

    /**
     *企业LOGO
     */
    @NotBlank(message = "请上传企业logo")
    private String firmLogo;

    /**
     *企业法人
     */
    @NotBlank(message = "企业法人不能为空")
    private String firmLegalPerson;

    /**
     *联系电话
     */
    @NotBlank(message = "请输入联系电话")
    private String firmPhone;

    /**
     *联系邮箱
     */
    @NotBlank(message = "请输入联系邮箱")
    private String firmEmail;

    /**
     *联系网址
     */
    @NotBlank(message = "联系网址不能为空")
    private String firmWebsite;

    /**
     *企业地址
     */
    @NotBlank(message = "企业地址不能为空")
    private String firmAddress;

    /**
     *企业描述
     */
    private String firmDesc;

    /**
     * 所属数据库
     */
    private String databaseName;

    /**
     *启用状态(1.开业 2.停业 3.休业)
     */
    private Integer state;
}
