package com.muyu.car.controller;

import com.muyu.car.domain.Packettemplate;
import com.muyu.car.domain.req.PackettemplateAddReq;
import com.muyu.car.service.PackertemplateService;
import com.muyu.common.core.domain.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Log4j2
@RequestMapping("/packettemplate")
@RestController
@Tag(name = "报文模板车系分类")
public class PackettemplateController {
    @Resource
    public PackertemplateService packertemplateService;

    /**
     * 查询
     */
   @PostMapping("/selectAll")
   @Operation(summary = "报文车系查询")
   public List<Packettemplate> selectAll(){
       List<Packettemplate> packettemplates = packertemplateService.selectAll();
       log.info(packettemplates);
       return packettemplates;
   }


    /**
     * 添加
     */
    @PostMapping("/addPackert")
    @Operation(summary = "添加分类模板")
    public Result addPackert(PackettemplateAddReq packettemplateAddReq){
        Result result = packertemplateService.addPackert(packettemplateAddReq);
        log.info(result);
        return result;
    }










}
