package com.muyu.car.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "企业车辆管理实体类",autoResultMap = true)
public class CarInformation {

    /**
     * 车辆ID
     */
    private Long carInformationId;

    /**
     * 车辆唯一VIN
     * 固定(不可修改)
     */
    private String carInformationVIN;

    /**
     * 车牌号
     * 固定(不可修改)
     */
    private String carInformationLicensePlate;

    /**
     * 车辆品牌
     */
    private String carInformationBrand;

    /**
     * 车辆颜色
     */
    private String carInformationColor;

    /**
     * 车辆驾驶员
     */
    private String carInformationDriver;

    /**
     * 车检到期日期
     * 固定(不可修改)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date carInformationExamineEnddata;

    /**
     * 车辆电机厂商
     */
    private String carInformationMotorManufacturer;

    /**
     * 车辆电机型号
     */
    private String carInformationMotorModel;

    /**
     * 车辆电池厂商
     */
    private String carInformationBatteryManufacturer;

    /**
     * 车辆电池型号
     */
    private String carInformationBatteryModel;

    /**
     * 车辆电子围栏外键ID
     */
    private Integer carInformationFence;

    /**
     * 车辆类型外键ID
     */
    private Integer carInformationType;

    /**
     * 是否重点车辆 (0否默认 1是 )
     */
    private Integer carInformationFocus;

    /**
     * 启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)
     */
    private Integer carInformationState;


    //车辆类型表
    /**
     * 车辆类型ID
     */
    private Integer carTypeId;
    /**
     * 车辆类型名
     */
    private String carTypeName;

    //电子围栏
    /**
     *电子围栏ID
     */
    private Integer fenceid;

    /**
     * 电子围栏名
     */
    private String fencename;

}
