package com.muyu.car.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.models.security.SecurityScheme;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "车辆报文模板实体类",autoResultMap = true)
public class CarMessage {
    //报文类型模块表
    /**
     * 自增主键
     */
    private Long messageTypeId;
    /**
     * 报文编码
     */
    private String messageTypeCode;
    /**
     * 报文名称
     */
    private String messageTypeName;

    /**
     * 报文所属类别
     */
    private String messageTypeBelongs;

    //报文拆分位置主表
    /**
     * 自增主键
     */
    private Long carMessageId;
    /**
     * 车辆类型外键
     */
    private Integer carMessageCartype;
    /**
     * 车辆报文类型外键
     */
    private Integer carMessageType;
    /**
     * 开始位下标
     */
    private Integer carMessageStartIndex;
    /**
     * 结束位下标
     */
    private Integer carMessageEndIndex;
    /**
     * 报文数据类型 (固定值 区间随机值)
     */
    private String messageTypeClass;
    /**
     * 报文是否开启故障检测(0默认未开启  1开启)
     */
    private Integer carMessageState;



/*
    private Long    messageTypeId  ;
    private String  messageTypeCode  ;
    private String  messageTypeName  ;
    private String  messageTypeBelongs ;
    private String  messageTypeClass  ;
    private Long    carMessageId  ;
    private Integer carMessageCartype  ;
    private Integer carMessageType  ;
    private Integer carMessageStartIndex  ;
    private Integer carMessageEndIndex  ;
    private Integer carMessageState  ;
 */





}
