package com.muyu.car.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆管理信息添加对象")
public class CarInformationAddReq {

    /**
     * 车辆唯一VIN
     */
    private String carInformationVIN;

    /**
     * 车牌号
     */
    private String carInformationLicensePlate;

    /**
     * 车辆品牌
     */
    private String carInformationBrand;

    /**
     * 车辆颜色
     */
    private String carInformationColor;

    /**
     * 车辆驾驶员
     */
    private String carInformationDriver;

    /**
     * 车检到期日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private String carInformationExamineEnddata;

    /**
     * 车辆电机厂商
     */
    private String carInformationMotorManufacturer;

    /**
     * 车辆电机型号
     */
    private String carInformationMotorModel;

    /**
     * 车辆电池厂商
     */
    private String carInformationBatteryManufacturer;

    /**
     * 车辆电池型号
     */
    private String carInformationBatteryModel;

    /**
     * 车辆电子围栏外键ID
     */
    private Integer carInformationFence;

    /**
     * 车辆类型外键ID
     */
    private Integer carInformationType;




}
