package com.muyu.car.domain.req;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name="车辆管理列表请求对象")
public class CarInformationListReq {

    /**
     * 车辆唯一VIN
     */
    @Schema(
            description = "车辆唯一VIN",
            type = "String"
    )
    private String carInformationVIN;



    /**
     * 车辆类型ID
     */
    @Schema(
            description = "车辆类型ID",
            type = "Interger"
    )
    private Integer carTypeId;

    /**
     * 车辆电子围栏外键ID
     */
    @Schema(
            description = "车辆电子围栏外键ID",
            type = "Interger"
    )
    private Integer carInformationFence;

    /**
     * 启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)
     */
    @Schema(
            description = "启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)",
            type = "Interger"
    )
    private Integer carInformationState;

    /**
     * 车辆电机厂商
     */
    @Schema(
            description = "车辆电机厂商",
            type = "String"
    )
    private String carInformationMotorManufacturer;

    /**
     * 车辆电机型号
     */
    @Schema(
            description = "车辆电机型号",
            type = "String"
    )
    private String carInformationMotorModel;

    /**
     * 车辆电池厂商
     */
    @Schema(
            description = "车辆电池厂商",
            type = "String"
    )
    private String carInformationBatteryManufacturer;

    /**
     * 车辆电池型号
     */
    @Schema(
            description = "车辆电池型号",
            type = "String"
    )
    private String carInformationBatteryModel;

    //分页页数
    private Integer pageNum = 1;
    //分页条数
    private Integer pageSize = 5;













}
