package com.muyu.car.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "车辆管理修改操作请求对象")
public class CarInformationUpdReq {

    /**
     * 车辆ID
     */
    @Schema(title = "车辆管理主键", type = "Long")
    private Long carInformationId;

    /**
     * 车辆品牌
     */
    @Schema(title = "车辆品牌", type = "String")
    private String carInformationBrand;

    /**
     * 车辆颜色
     */
    @Schema(title = "车辆颜色", type = "String")
    private String carInformationColor;

    /**
     * 车辆驾驶员
     */
    @Schema(title = "车辆驾驶员", type = "String")
    private String carInformationDriver;
    /**
     * 车辆电机厂商
     */
    @Schema(title = "车辆电机厂商", type = "String")
    private String carInformationMotorManufacturer;

    /**
     * 车辆电机型号
     */
    @Schema(title = "车辆电机型号", type = "String")
    private String carInformationMotorModel;

    /**
     * 车辆电池厂商
     */
    @Schema(title = "车辆电池厂商", type = "String")
    private String carInformationBatteryManufacturer;

    /**
     * 车辆电池型号
     */
    @Schema(title = "车辆电池型号", type = "String")
    private String carInformationBatteryModel;

    /**
     * 车辆电子围栏外键ID
     */
    @Schema(title = "车辆电子围栏外键ID", type = "Integer")
    private Integer carInformationFence;

    /**
     * 车辆类型外键ID
     */
    @Schema(title = "车辆类型外键ID", type = "Integer")
    private Integer carInformationType;

    /**
     * 是否重点车辆 (0否默认 1是 )
     */
    @Schema(title = "是否重点车辆 (0否默认 1是 )", type = "Integer")
    private Integer carInformationFocus;

    /**
     * 启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)
     */
    @Schema(title = "启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)", type = "Integer")
    private Integer carInformationState;












}
