package com.muyu.car.mapper;


import com.muyu.car.domain.CarInformation;
import com.muyu.car.domain.CarMessage;
import com.muyu.car.domain.req.CarInformationAddReq;
import com.muyu.car.domain.req.CarInformationListReq;
import com.muyu.car.domain.req.CarInformationUpdReq;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
@Tag(name = "车辆基础信息表")
public interface CarInformationMapper {
/**
 * 企业车辆管理列表
 * 联查--> 车辆管理--车辆类型表--车辆电子围栏
 * 搜索-->(车辆唯一VIN carInformationVIN 精确查
 *        车辆类型ID  carTypeId  精确查
 *        车辆电子围栏外键ID carInformationFence 精确查
 *        启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)
 *        carInformationState  精确查
 *        车辆电机厂商 carInformationMotorManufacturer 模糊查
 *        车辆电机型号 carInformationMotorModel 精确查
 *        车辆电池厂商 carInformationBatteryManufacturer 模糊查
 *        车辆电池型号 carInformationBatteryModel 精确查
 *        )
 *        分页-->  分页页数 pageNum  分页条数 pageSize
     * @param carInformationListReq
     * @return
     */
    List<CarInformation> selectCarInformationList(CarInformationListReq carInformationListReq);

/**
 * 企业车辆添加管理
     * @param carInformationAddReq
     * @return
     */
    Integer addCarInformation(CarInformationAddReq carInformationAddReq);

/**
 * 企业车辆删除
     * @param carInformationId
     * @return
     */
    Integer delBycarInformationId(Integer carInformationId);


/**
 * 企业车辆修改管理
     * @param carInformationUpdReq
     * @return
     */
    Integer updatecarInformation(CarInformationUpdReq carInformationUpdReq);



/**
 * To 电子围栏负责人
 * 查询企业车辆 carInformationID 和  carInformationLicensePlate
 * 无参
 * @return
 */
    List<CarInformation> selectBycarInformationIDAndLicensePlate();



}
