package com.muyu.car.mapper;

import com.muyu.car.domain.CarInformation;
import com.muyu.car.domain.CarMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CarMessageMapper {
    /**
     * 根据所属车类别 解析 车辆报文模板
     * @param
     * @return
     */
    List<CarMessage> selectCarMessageList(@Param("carMessageCartype")Integer carMessageCartype);


    /**
     * 添加车辆报文规则
     */
    Integer insertCarMessage(CarMessage carMessage);


    /**
     * 删除车辆报文规则
     */
    Integer deleteByCarMessageId(Integer carMessageId);

    /**
     * 修改车辆报文规则
     */
    Integer updateCarMessage(CarMessage carMessage);


    //报文切割
    /**
     * 查询报文ID
     * @param carInformationVIN
     * @return
     *  根据车辆VIN值查列表
     * 根据给定的车辆VIN号获取对应的车辆类型ID-->模板参数
     */
    List<CarInformation> selectcarInformationType(String carInformationVIN);

    /**
     *根据VIN查询报文作用哪个车辆类型
     */
    Long selectcarMessageCartype(String carInformationVIN);





}
