package com.muyu.car.service.Impl;

import com.muyu.car.domain.Packettemplate;
import com.muyu.car.domain.req.PackettemplateAddReq;
import com.muyu.car.mapper.PackettemplateMapper;
import com.muyu.car.service.PackertemplateService;
import com.muyu.common.core.domain.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Log4j2
public class PackertemplateServiceImpl implements PackertemplateService {
    @Resource
    private PackettemplateMapper packettemplateMapper;

    /**
     *分类模板
     *
     * @return
     */
    @Override
    public List<Packettemplate> selectAll() {
        List<Packettemplate> packettemplates = packettemplateMapper.selectAll();
        log.info("packettemplates:{}",packettemplates);
        return packettemplates;
    }

    /**
     *
     * 添加分类
     *
     * @param packettemplateAddReq
     * @return
     */
    @Override
    public Result addPackert(PackettemplateAddReq packettemplateAddReq) {
        Integer addPackert = packettemplateMapper.addPackert(packettemplateAddReq);
        if (addPackert > 0){
            return  Result.success(packettemplateAddReq , "添加成功");
        }

        return Result.error(500, "添加失败");
    }
}
