package com.muyu.system.domain.resp;

import com.muyu.common.system.domain.SysRole;
import com.muyu.common.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author DongZl
 * @description: 用户详细信息
 * @Date 2023-6-19 下午 02:45
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserDetailInfoResp {

    /**
     * 角色权限集合
     */
    private List<SysRole> roles;

    /**
     * 岗位集合
     */
    private List posts;

    /**
     * 用户信息
     */
    private SysUser sysUser;

    /**
     * 用户又有的职位ID
     */
    private List<Long> postIds;

    /**
     * 用户拥有的角色ID
     */
    private List<Long> roleIds;
}
